# frozen_string_literal: true

module Hashtastic
  class Utils
    class << self
      def hex_to_ascii(hex)
        value = hex[2..-1] if hex[0..1] == '0x'

        [value].pack('H*')
      end

      def hex?(value)
        pattern = /^[[:xdigit:]]+$/
        return false if value[0..1] != '0x'

        return value[2..-1].match?(pattern)
      end
    end
  end
end
